<?php
/**
 * Plugin ciarchive : Archivage d'articles
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/filtres');

function exec_ciarchive(){

	$grostitre = _T('ciarchive:archive_articles');
	$titre = _T('ciarchive:archive_articles');
	
	if ($id_rubrique=intval(_request('id_rubrique'))) {
		$titre = _T('ciarchive:archive_articles_rubrique');
		$row = sql_fetsel("id_rubrique,titre", "spip_rubriques", "id_rubrique=$id_rubrique");
		if ($row) {
			$type = $row['titre'];
			$grostitre = typo($type);
		}
	}

	
	$commencer_page = charger_fonction('commencer_page', 'inc');
	echo $commencer_page($titre, "accueil", "accueil");
	
	echo debut_gauche('', true);

	echo creer_colonne_droite('', true);
	echo debut_droite('', true);
	
	if ($id_rubrique){
		
		$exec = "rubrique";
	
		$url = generer_url_ecrire($exec,"id_rubrique=$id_rubrique");

		$icone_retour = icone_verticale(_T('icone_retour'), $url, "secteur-24.gif", "rien.gif",$GLOBALS['spip_lang_right']);
		
                echo '<div class="box simple"><div class="inner">'
                    .'<div class="hd"><div><span class="icone verticale left retour">'.$icone_retour.'</span></div>'
                    .'<h1>'.$grostitre.'</h1>'
                    .'<div class="nettoyeur"></div></div>'
                    .'<div class="bd">';
	} else {
		echo '<h1>'.$grostitre.'</h1>';
		echo "<div class='nettoyeur'></div>";
	}
	
        $contexte = array('titre'=>$titre,'statut'=>'archive','par'=>'date');
        if ($id_rubrique=intval(_request('id_rubrique')))
                $contexte['id_rubrique'] = $id_rubrique;

        echo recuperer_fond("prive/objets/liste/articles", $contexte);
	
	if ($id_rubrique){
                echo '<div class="nettoyeur"></div></div></div>'
                    .'</div>';
        }
            
	echo fin_gauche(), fin_page();
}

?>